apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  creationTimestamp: '2022-12-07T23:34:07Z'
  generation: 3
  labels:
    operators.coreos.com/devspaces.openshift-operators: ''
  managedFields:
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:operators.coreos.com/devspaces.openshift-operators': {}
      manager: olm
      operation: Update
      time: '2022-12-07T23:34:07Z'
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:installedCSV': {}
          'f:currentCSV': {}
          'f:catalogHealth': {}
          'f:installPlanRef':
            .: {}
            'f:apiVersion': {}
            'f:kind': {}
            'f:name': {}
            'f:namespace': {}
            'f:resourceVersion': {}
            'f:uid': {}
          'f:installPlanGeneration': {}
          'f:conditions': {}
          .: {}
          'f:installplan':
            .: {}
            'f:apiVersion': {}
            'f:kind': {}
            'f:name': {}
            'f:uuid': {}
          'f:lastUpdated': {}
          'f:state': {}
      manager: catalog
      operation: Update
      subresource: status
      time: '2022-12-07T23:36:27Z'
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:channel': {}
          'f:installPlanApproval': {}
          'f:name': {}
          'f:source': {}
          'f:sourceNamespace': {}
          'f:startingCSV': {}
      manager: Mozilla
      operation: Update
      time: '2022-12-08T00:03:42Z'
  name: devspaces
  namespace: openshift-operators
  resourceVersion: '9597665'
  uid: 1313f0cf-632e-416c-995a-1bc8c2e331bc
spec:
  channel: stable
  installPlanApproval: Automatic
  name: devspaces
  source: devspaces-operator-3-3-osbs-stable
  sourceNamespace: openshift-marketplace
  startingCSV: devspacesoperator.v3.1.0-0.1661879180.p
status:
  installplan:
    apiVersion: operators.coreos.com/v1alpha1
    kind: InstallPlan
    name: install-92kvn
    uuid: fe9d34b3-fac8-4093-b12a-85558e18df0b
  lastUpdated: '2022-12-07T23:36:27Z'
  installedCSV: devspacesoperator.v3.1.0-0.1661879180.p
  currentCSV: devspacesoperator.v3.1.0-0.1661879180.p
  installPlanRef:
    apiVersion: operators.coreos.com/v1alpha1
    kind: InstallPlan
    name: install-92kvn
    namespace: openshift-operators
    resourceVersion: '9580675'
    uid: fe9d34b3-fac8-4093-b12a-85558e18df0b
  state: AtLatestKnown
  catalogHealth:
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: certified-operators
        namespace: openshift-marketplace
        resourceVersion: '9579149'
        uid: 560ee77f-83f2-4595-8896-ce779a43df79
      healthy: true
      lastUpdated: '2022-12-07T23:34:07Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: community-operators
        namespace: openshift-marketplace
        resourceVersion: '9579485'
        uid: fb9ee930-872e-447d-948e-f5e188d877a6
      healthy: true
      lastUpdated: '2022-12-07T23:34:07Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: devspaces-operator-3-3-osbs-stable
        namespace: openshift-marketplace
        resourceVersion: '9342626'
        uid: 1336a909-fb48-4c17-87e4-7cce85c95078
      healthy: true
      lastUpdated: '2022-12-07T23:34:07Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: devworkspace-operator-0-17-osbs-fast
        namespace: openshift-marketplace
        resourceVersion: '9342633'
        uid: 44e65022-0b45-42fe-a783-42d06b3f105f
      healthy: true
      lastUpdated: '2022-12-07T23:34:07Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: redhat-marketplace
        namespace: openshift-marketplace
        resourceVersion: '9578548'
        uid: 67068d8f-74f2-4ecf-a151-a34e5860105e
      healthy: true
      lastUpdated: '2022-12-07T23:34:07Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: redhat-operators
        namespace: openshift-marketplace
        resourceVersion: '9580466'
        uid: 08bd903c-d9a9-4e8e-9e53-b08668378ec8
      healthy: true
      lastUpdated: '2022-12-07T23:34:07Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: staging-catalog-source
        namespace: openshift-marketplace
        resourceVersion: '9342627'
        uid: 6c9b9a60-96ea-4a91-a81a-8185440bc572
      healthy: true
      lastUpdated: '2022-12-07T23:34:07Z'
  conditions:
    - lastTransitionTime: '2022-12-07T23:34:07Z'
      message: all available catalogsources are healthy
      reason: AllCatalogSourcesHealthy
      status: 'False'
      type: CatalogSourcesUnhealthy
  installPlanGeneration: 1
